@import url('main.css');

.footer-nav {
    margin-top: 0px;
    left: 0;
    width: 100%;
    background: linear-gradient(90deg, rgb(78, 28, 57) 0%, rgb(78, 28, 57) 7%, rgb(28, 22, 46) 50%, rgb(78, 28, 57) 93%, rgb(78, 28, 57) 100%);
    align-items: center;
    display: flex;
    text-decoration: none;
    padding: 15px 30px;
    justify-content: space-between;
}


.footer-left {
    display: flex;
    gap: var(--fs-gap20);
    flex: 1;
    align-items: center;
}

.footer-center p {
    font-size: var(--fs-footer);
    color: white;
    font-family: 'Vag-Thin';
    text-align: center;
    justify-self: center;
    flex: 1;
}


.social-nets-logos {
    height: clamp(1px, 3vw, 41px);
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}


.footer-right {
    display: flex;
    flex: 1;
    justify-content: flex-end;
}



@media (max-width: 768px) {
    .navbar {
        display: none;
    }

    .social-nets-logos {
        height: clamp(1px, 9.345vw, 200px);
        width: auto;
    }

    .footer-center {
        display: none;
    }

    .navbar .left .main-logo,
    .footer-right .main-logo {
        width: clamp(1px, 36.045vw, 400px);
        height: clamp(1px, 9.345vw, 200px);
    }

}


.mobile-bottom-nav {
    position: fixed;
    bottom: clamp(1px, 2.67vw, 100px);
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% - 2 * clamp(1px, 2.67vw, 100px)); 
    margin: 0;
    background: linear-gradient(90deg, rgb(78, 28, 57) 0%, rgb(78, 28, 57) 7%, rgb(28, 22, 46) 50%, rgb(78, 28, 57) 93%, rgb(78, 28, 57) 100%);
    align-items: center;
    z-index: 1000;
    padding: clamp(1px, 3.738vw, 30px) clamp(1px, 5.34vw, 100px);
    justify-content: space-between;
    display: none;
    border-radius: var(--fs-border-radius);
    box-shadow: 0px 21px 23px 0px rgba(0, 0, 0, 0.4);
    anchor-name: --mobile-nav-anchor;
}

.mobile-bottom-nav a,
.mobile-bottom-nav button {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0;
}

.mobile-bottom-nav h2 {
    font-size: clamp(1px, 2.136vw, 20px);
}

.mobile-bottom-nav .nav-icon {
    color: white;
    height: clamp(1px, 8.01vw, 100px);
    width: clamp(1px, 8.01vw, 100px);

}

.mobile-bottom-nav .center-nav-icon {
    color: white;
    height: clamp(1px, 9.879vw, 100px);
    width: auto;
    aspect-ratio: 690.26 / 410.81;
}

#dcote-logo-small {
    color: white;
}

#dcote-logo-small .accent {
    fill: #df0e53;
}


@media (max-width: 768px) {
    .mobile-bottom-nav {
        display: flex;
    }

    .footer-nav {
        padding-bottom: var(--nav-height, 100px);
    }
}
